/* * Self-Revocation Free Downgrading - A kernel module that applies information flow
 * control to protect system integrity without self-revocation
 * Copyright (C) 2014 Secure Systems Laboratory, Stony Brook University
 *
 * This file is part of Self-Revocation Free Downgrading.
 *
 * Self-Revocation Free Downgrading is free software: you can redistribute it
 * and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Self-Revocation Free Downgrading is distributed in the hope that it will be
 * useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Self-Revocation Free Downgrading.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

#include "srfd_label.h"

struct SRFD_lbl srfd_label_max_lbl(void) {
	struct SRFD_lbl lbl;
	lbl.level = SRFD_LABEL_MAX_INTEGRITY_LEVEL;
	return lbl;
}

struct SRFD_lbl srfd_label_min_lbl(void) {
	struct SRFD_lbl lbl;
	lbl.level = SRFD_LABEL_MIN_INTEGRITY_LEVEL;
	return lbl;
}
